/**
  @file valve.c
  @brief Implementation for the Raspberry Pi
  
  Uses wiringPi library
  Valve connected to GPIO0. 1=open, 0=close
*/

#include <wiringPi.h>
#include "valve.h"

void valve_Init(void) {
  wiringPiSetupSys () ;
  pinMode (17, OUTPUT) ; 
}


void valve_SetState(TValveState st) 
{
  if (st == VALVE_OPEN) {
    digitalWrite (17, HIGH);
  } else {
    digitalWrite (17, LOW);
  }
}

/* End of file ************************************************************/

